
attribute vec4 position;
attribute vec4 inputTextureCoordinate;

uniform lowp float texelWidthOffset;
uniform lowp float texelHeightOffset;
 
varying vec2 textureCoordinate;
varying lowp float texelWidth;
varying lowp float texelHeight;


void main() 
{ 
	gl_Position = position; 
	textureCoordinate = inputTextureCoordinate.xy;

	texelWidth = texelWidthOffset;
	texelHeight = texelHeightOffset;
}
